---
title: Retrieve Immunization
slug: retrieve-immunization
docTags: 
createdAt: 2023-09-12T11:08:22.392Z
---

Retrieve a patient's immunization records from the EHR. Access details on vaccinations, including vaccine types, dates administered, and dosage information. Essential for tracking a patient's immunization history and ensuring they receive appropriate vaccinations.

To access this clinical data you'll need the patient identifier, obtainable through the [Retrieve Patient](docId:8OPknnbMTaZ47Rk5HkDD3) interaction.

### Interaction

Retrieving the list of immunizations can be done by sending a **GET** request. The request is sent to the Immunization endpoint:

`https://api.<region>.founda.com/1/organizations/<org-x>/fhir/4/Immunization?<parameters>`

Where `<region>` should be defined according to the different Founda [regions](docId\:ncFf15xNu1WGlST2wNm-P) and `<org-x>` should be replaced with the Healthcare Provider's organization ID that you are integrated with.&#x20;

The response contains a Bundle with 0, 1 or N matching Immunizations. The full Immunization resource can be retrieved with the identifier of the selected Immunization from the result set.&#x20;

### Profile

Founda adheres to recognized standards (IHE, HL7 FHIR) to ensure compatibility and harmonization among diverse systems. If there is a profile available for an interaction, it is recommended and preferred to follow the prescribed transactions.

The Retrieve Immunization interaction with the Founda Platform is based on the [IHE QEDm profile](https://www.ihe.net/uploadedFiles/Documents/PCC/IHE_PCC_Suppl_QEDm.pdf). To indicate that the request and response should comply with PCC-44, the `_profile` parameter should be included to the search set: `.../Immunization?_profile=https://profiles.ihe.net/ITI/QEDm`.

### Parameters

In order to comply with the PCC-44 transaction, the interaction should at least support the parameter in the table below. Additional search parameters, as defined in the [FHIR Immunization](http://hl7.org/fhir/immunization.html) resource, can be used as well.&#x20;

| **Parameters combination** | **Type**    | **Required** | **Description**                |
| -------------------------- | ----------- | ------------ | ------------------------------ |
| `patient`                  | `reference` | Yes          | The patient to search data for |

### Example API call

::::CodeDrawer{title="Retrieve Immunization for Patient" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-immunization-for-patient" legacyHash="EAxmGuNmFao4XZMXSVS42"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Immunization?patient=2078&_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FQEDm%2F' \
--header 'Authorization: Bearer ory_at_T_sx5CEqgi37wTaptEkGAV9Ggsg4UCzrzOc4Xe29Sto.jfqRUlKTeevVwUmPD6djKD2lAWDh5vRMfIf0PKpNQsU' \
--data ''
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Bundle",
    "id": "76f4bd79-b179-400d-bc8a-c07e712b0406",
    "meta": {
        "lastUpdated": "2023-10-17T09:19:35.913+00:00"
    },
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "self",
            "url": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Immunization?patient=2078&_profile=https://profiles.ihe.net/ITI/QEDm/"
        }
    ],
    "entry": [
        {
            "fullUrl": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Immunization/2207",
            "resource": {
                "resourceType": "Immunization",
                "id": "2207",
                "meta": {
                    "versionId": "1",
                    "lastUpdated": "2023-10-05T14:29:20.382+00:00",
                    "source": "#ry1mqYNnZJm6Zrrx",
                    "tag": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                            "code": "HTEST",
                            "display": "test health data"
                        }
                    ]
                },
                "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative with Details</b></p><p><b>id</b>: example</p><p><b>identifier</b>: urn:oid:1.3.6.1.4.1.21367.2005.3.7.1234</p><p><b>status</b>: completed</p><p><b>vaccineCode</b>: Fluvax (Influenza) <span>(Details : {urn:oid:1.2.36.1.2001.1005.17 code 'FLUVAX' = 'Fluvax)</span></p><p><b>patient</b>: <a>Patient/example</a></p><p><b>encounter</b>: <a>Encounter/example</a></p><p><b>occurrence</b>: 10/01/2013</p><p><b>primarySource</b>: true</p><p><b>location</b>: <a>Location/1</a></p><p><b>manufacturer</b>: <a>Organization/hl7</a></p><p><b>lotNumber</b>: AAJN11K</p><p><b>expirationDate</b>: 15/02/2015</p><p><b>site</b>: left arm <span>(Details : {http://terminology.hl7.org/CodeSystem/v3-ActSite code 'LA' = 'left arm', given as 'left arm'})</span></p><p><b>route</b>: Injection, intramuscular <span>(Details : {http://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration code 'IM' = 'Injection, intramuscular', given as 'Injection, intramuscular'})</span></p><p><b>doseQuantity</b>: 5 mg<span> (Details: UCUM code mg = 'mg')</span></p><blockquote><p><b>performer</b></p><p><b>function</b>: Ordering Provider <span>(Details : {http://terminology.hl7.org/CodeSystem/v2-0443 code 'OP' = 'Ordering Provider)</span></p><p><b>actor</b>: <a>Practitioner/example</a></p></blockquote><blockquote><p><b>performer</b></p><p><b>function</b>: Administering Provider <span>(Details : {http://terminology.hl7.org/CodeSystem/v2-0443 code 'AP' = 'Administering Provider)</span></p><p><b>actor</b>: <a>Practitioner/example</a></p></blockquote><p><b>note</b>: Notes on adminstration of vaccine</p><p><b>reasonCode</b>: Procedure to meet occupational requirement <span>(Details : {SNOMED CT code '429060002' = 'Procedure to meet occupational requirement)</span></p><p><b>isSubpotent</b>: true</p><h3>Educations</h3><table><tr><td>-</td><td><b>DocumentType</b></td><td><b>PublicationDate</b></td><td><b>PresentationDate</b></td></tr><tr><td>*</td><td>253088698300010311120702</td><td>02/07/2012</td><td>10/01/2013</td></tr></table><p><b>programEligibility</b>: Not Eligible <span>(Details : {http://terminology.hl7.org/CodeSystem/immunization-program-eligibility code 'ineligible' = 'Not Eligible)</span></p><p><b>fundingSource</b>: Private <span>(Details : {http://terminology.hl7.org/CodeSystem/immunization-funding-source code 'private' = 'Private)</span></p></div>"
                },
                "identifier": [
                    {
                        "system": "urn:ietf:rfc:3986",
                        "value": "urn:oid:1.3.6.1.4.1.21367.2005.3.7.1234"
                    }
                ],
                "status": "completed",
                "vaccineCode": {
                    "coding": [
                        {
                            "system": "urn:oid:1.2.36.1.2001.1005.17",
                            "code": "FLUVAX"
                        }
                    ],
                    "text": "Fluvax (Influenza)"
                },
                "patient": {
                    "reference": "Patient/2078"
                },
                "encounter": {
                    "reference": "Encounter/2153"
                },
                "occurrenceDateTime": "2013-01-10",
                "primarySource": true,
                "location": {
                    "reference": "Location/2074"
                },
                "manufacturer": {
                    "reference": "Organization/2072"
                },
                "lotNumber": "AAJN11K",
                "expirationDate": "2015-02-15",
                "site": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActSite",
                            "code": "LA",
                            "display": "left arm"
                        }
                    ]
                },
                "route": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration",
                            "code": "IM",
                            "display": "Injection, intramuscular"
                        }
                    ]
                },
                "doseQuantity": {
                    "value": 5,
                    "system": "http://unitsofmeasure.org",
                    "code": "mg"
                },
                "performer": [
                    {
                        "function": {
                            "coding": [
                                {
                                    "system": "http://terminology.hl7.org/CodeSystem/v2-0443",
                                    "code": "OP"
                                }
                            ]
                        },
                        "actor": {
                            "reference": "Practitioner/2079"
                        }
                    },
                    {
                        "function": {
                            "coding": [
                                {
                                    "system": "http://terminology.hl7.org/CodeSystem/v2-0443",
                                    "code": "AP"
                                }
                            ]
                        },
                        "actor": {
                            "reference": "Practitioner/2079"
                        }
                    }
                ],
                "note": [
                    {
                        "text": "Notes on adminstration of vaccine"
                    }
                ],
                "reasonCode": [
                    {
                        "coding": [
                            {
                                "system": "http://snomed.info/sct",
                                "code": "429060002"
                            }
                        ]
                    }
                ],
                "isSubpotent": true,
                "education": [
                    {
                        "documentType": "253088698300010311120702",
                        "publicationDate": "2012-07-02",
                        "presentationDate": "2013-01-10"
                    }
                ],
                "programEligibility": [
                    {
                        "coding": [
                            {
                                "system": "http://terminology.hl7.org/CodeSystem/immunization-program-eligibility",
                                "code": "ineligible"
                            }
                        ]
                    }
                ],
                "fundingSource": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/immunization-funding-source",
                            "code": "private"
                        }
                    ]
                }
            },
            "search": {
                "mode": "match"
            }
        }
    ]
}
```
:::
::::

